Template Numerical Library: TNL::Matrices::LambdaMatrixRowViewIterator< RowView > Class Template Reference

Template Numerical Library version\ main:be7e16d88

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
TNL::Matrices::LambdaMatrixRowViewIterator< RowView > Class Template Reference

## Public Types
using | IndexType = typename RowViewType::IndexType
| The type used for matrix elements indexing.
using | MatrixElementType = typename RowView::MatrixElementType
| The type of related matrix element.
using | RealType = typename RowViewType::RealType
| The type of matrix elements.
using | RowViewType = RowView
| Type of LambdaMatrixRowView.

## Public Member Functions
__cuda_callable__ | LambdaMatrixRowViewIterator (const RowViewType &rowView, const IndexType &localIdx)
__cuda_callable__ bool | operator!= (const LambdaMatrixRowViewIterator &other) const
| Comparison of two matrix row iterators.
__cuda_callable__ MatrixElementType | operator* ()
__cuda_callable__ MatrixElementType | operator* () const
__cuda_callable__ LambdaMatrixRowViewIterator & | operator++ ()
__cuda_callable__ LambdaMatrixRowViewIterator & | operator-- ()
__cuda_callable__ bool | operator== (const LambdaMatrixRowViewIterator &other) const
| Comparison of two matrix row iterators.

## Static Public Member Functions
static constexpr bool | isBinary ()
| Tells whether the parent matrix is a binary matrix.

## Protected Attributes
IndexType | localIdx = 0
const RowViewType & | rowView

## Member Function Documentation

## ◆ isBinary()

template<typename RowView>

constexpr bool TNL::Matrices::LambdaMatrixRowViewIterator< RowView >::isBinary | ( |  | ) |
| inlinestaticnodiscardconstexpr

Tells whether the parent matrix is a binary matrix.

Returns
  true if the matrix is binary.

## ◆ operator!=()

template<typename RowView>

__cuda_callable__ bool TNL::Matrices::LambdaMatrixRowViewIterator< RowView >::operator!= | ( | const LambdaMatrixRowViewIterator< RowView > & | other | ) | const
| nodiscard

Comparison of two matrix row iterators.

Parameters

  other | is another matrix row iterator.

Returns
  false if both iterators points at the same point of the same matrix, true otherwise.

## ◆ operator==()

template<typename RowView>

__cuda_callable__ bool TNL::Matrices::LambdaMatrixRowViewIterator< RowView >::operator== | ( | const LambdaMatrixRowViewIterator< RowView > & | other | ) | const
| nodiscard

Comparison of two matrix row iterators.

Parameters

  other | is another matrix row iterator.

Returns
  true if both iterators points at the same point of the same matrix, false otherwise.

The documentation for this class was generated from the following file:

- src/TNL/Matrices/LambdaMatrixRowViewIterator.h